### A free/open-source library for quantitative finance

Public Member Functions
ObservableValue< T > Class Template Reference

observable and assignable proxy to concrete value More...

`#include <ql/utilities/observablevalue.hpp>`

List of all members.

## Public Member Functions

| ObservableValue (const T &)
| ObservableValue (const ObservableValue< T > &)
| operator T () const
| implicit conversion
| operator boost::shared_ptr< Observable > () const
const T & | value () const
| explicit inspector
controlled assignment
ObservableValue< T > & | operator= (const T &)
ObservableValue< T > & | operator= (const ObservableValue< T > &)

## Detailed Description

### template<class T>
class QuantLib::ObservableValue< T >

observable and assignable proxy to concrete value

Observers can be registered with instances of this class so that they are notified when a different value is assigned to such instances. Client code can copy the contained value or pass it to functions via implicit conversion.

Note:
  it is not possible to call non-const method on the returned value. This is by design, as this possibility would necessarily bypass the notification code; client code should modify the value via re-assignment instead.